Bug 131969 - Port update: multimedia/libdvdnav - Proposal to switch over to MPlayer's version
Port update: multimedia/libdvdnav - Proposal to switch over to MPlayer's version
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Max Brazhnikov
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-22 11:50 UTC by ganael.laplanche
Modified: 2010-09-02 22:40 UTC (History)
0 users

See Also:


Attachments
file.txt (5.46 KB, text/plain)
2009-02-22 11:50 UTC, ganael.laplanche
no flags Details
patch-libdvdnav-and-deps.diff.gz.uue.txt (6.38 KB, patch)
2009-10-01 08:19 UTC, ganael.laplanche
no flags Details | Diff
patch-libdvdnav.txt (12.35 KB, patch)
2010-08-31 13:19 UTC, ganael.laplanche
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description ganael.laplanche 2009-02-22 11:50:02 UTC
Hello,

This is a proposal to update our 'old' Xine's libdvdnav with MPlayer's version. Libdvdread has already been updated (see ports/127849).

The patch (uuencoded + gzipped) updates the following ports :

- multimedia/libdvdnav : update from v0.1.10 to v4.1.3
- multimedia/gstreamer-plugins-dvd : bump PORTREVISION
- multimedia/gstreamer-plugins-ugly : add a patch to fix dvdnav detection
- multimedia/lxdvdrip : bump PORTREVISION
- multimedia/mplayerxp : bump PORTREVISION
- multimedia/vlc : bump PORTREVISION
- multimedia/totem : bump PORTREVISION
- multimedia/nmm : bump PORTREVISION and fix dvdnav detection

Please note that those patches have only been tested in a limited environment (8-CURRENT/amd64).

As a result of this update, multimedia/libdvdnav-mplayer should be deleted (it is currently not used by any port as a dependency).

Nobutaka, as you are the current maintainer of the port, I have let your address (of course) in the MAINTAINER variable :) If you would like me to become libdvdnav's maintainer (I would be pleased to), just feel free to replace you address with mine (ganael.laplanche@martymac.com).

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2009-02-22 11:50:23 UTC
Responsible Changed
From-To: freebsd-ports-bugs->nobutaka

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 ganael.laplanche 2009-05-05 14:10:19 UTC
Hello Nobutaka,

Any news on this PR ? Have you had time to test/review it ?

Thanks a lot :)
Best regards,

Ganaël LAPLANCHE
ganael.laplanche@martymac.com
http://www.martymac.com
Comment 3 ganael.laplanche 2009-10-01 08:19:09 UTC
Hi Nobutaka,

This is an up-to-date version of my previous patch to replace
multimedia/libdvdnav with a newer, maintained, one (MPlayer's version). Could
you have a look at it ?

I have put myself as MAINTAINER, but feel free the leave your address if you
want to keep this port.

As previously, the patch (uuencoded + gzipped) updates the following ports :

- multimedia/libdvdnav : update from v0.1.10 to v4.1.3
- multimedia/gstreamer-plugins-dvd : bump PORTREVISION
- multimedia/gstreamer-plugins-ugly : fix dvdnav detection
- multimedia/lxdvdrip : bump PORTREVISION
- multimedia/mplayerxp : bump PORTREVISION and fix dvdnav detection
- multimedia/vlc : bump PORTREVISION
- multimedia/totem : bump PORTREVISION
- multimedia/nmm : bump PORTREVISION and fix dvdnav detection

As a result of this update, multimedia/libdvdnav-mplayer should be deleted (it
is currently not used by any port as a dependency).

Thanks a lot,
Best regards,

Ganaël LAPLANCHE
ganael.laplanche@martymac.org
http://www.martymac.org
Comment 4 Max Brazhnikov freebsd_committer 2010-08-10 20:30:55 UTC
State Changed
From-To: open->feedback

Hi Ganael, Are you still interested in this pr? If yes, I can assist you 
with getting this to ports.
Comment 5 Max Brazhnikov freebsd_committer 2010-08-10 20:32:18 UTC
Responsible Changed
From-To: nobutaka->makc

Maintainer timeout.
Comment 6 Max Brazhnikov freebsd_committer 2010-08-18 21:26:07 UTC
On Thu, 12 Aug 2010 22:53:13 +0200 (CEST), Ganael LAPLANCHE wrote:
> I am on holidays at the moment and will be back at the end of the month.
> I'll contact you when I am back to set up the update ! Due to its old age,
> this PR may need a big update !

Great! I'll wait for new patch from you.

Greetings,
Max
Comment 7 ganael.laplanche 2010-08-31 13:19:56 UTC
Hi Max,

Finally, here is an up-to-date version of the patch.

It updates the following ports :

- multimedia/libdvdnav : update from v0.1.10 to v4.1.3 (and take maintainership)
- multimedia/lxdvdrip : bump PORTREVISION
- multimedia/mplayerxp : bump PORTREVISION and fix dvdnav detection
- multimedia/vlc : bump PORTREVISION
- multimedia/totem : bump PORTREVISION and removed irrelevant dependency since
DVD navigation relies on gstreamer

The following two ports remain unchanged :

- multimedia/gstreamer-plugins-ugly : the dvdnav plugin has been removed and
replaced by resindvd that can be enabled in gstreamer-plugins-bad (quickly
tested : it builds ; we may have to patch gstreamer-plugins-bad to enable it)
- multimedia/nmm : this port has been removed since my previous patch

As a result of this update, multimedia/libdvdnav-mplayer should be deleted (it
is currently not used by any port as a dependency).

Best regards,

Ganael LAPLANCHE
ganael.laplanche@martymac.org
http://www.martymac.org
Comment 8 Max Brazhnikov freebsd_committer 2010-09-02 16:10:02 UTC
State Changed
From-To: feedback->open

Updated patch received
Comment 9 dfilter freebsd_committer 2010-09-02 22:36:39 UTC
makc        2010-09-02 21:35:09 UTC

  FreeBSD ports repository

  Modified files:
    multimedia/libdvdnav Makefile distinfo pkg-descr pkg-plist 
  Added files:
    multimedia/libdvdnav/files patch-Makefile patch-configure2 
  Removed files:
    multimedia/libdvdnav/files patch-example:Makefile.in 
                               patch-m4:Makefile.in patch-src:vm.c 
  Log:
  Update to 4.1.3 (switch over to MPlayer's version)
  Pass maintainership to submitter
  
  PR:             ports/131969
  Sumbmitted by:  Ganael LAPLANCHE <ganael.laplanche at martymac.com>
  Approved by:    nobutaka (timeout 18 months)
  
  Revision  Changes    Path
  1.34      +34 -28    ports/multimedia/libdvdnav/Makefile
  1.8       +3 -3      ports/multimedia/libdvdnav/distinfo
  1.1       +16 -0     ports/multimedia/libdvdnav/files/patch-Makefile (new)
  1.1       +35 -0     ports/multimedia/libdvdnav/files/patch-configure2 (new)
  1.3       +0 -11     ports/multimedia/libdvdnav/files/patch-example:Makefile.in (dead)
  1.2       +0 -12     ports/multimedia/libdvdnav/files/patch-m4:Makefile.in (dead)
  1.3       +0 -13     ports/multimedia/libdvdnav/files/patch-src:vm.c (dead)
  1.2       +2 -5      ports/multimedia/libdvdnav/pkg-descr
  1.8       +6 -9      ports/multimedia/libdvdnav/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 10 dfilter freebsd_committer 2010-09-02 22:36:54 UTC
makc        2010-09-02 21:36:11 UTC

  FreeBSD ports repository

  Modified files:
    multimedia/lxdvdrip  Makefile pkg-plist 
  Log:
  Chase multimedia/libdvdnav update
  while here, don't use PLIST_FILES along with pkg-list
  
  PR:             ports/131969
  Submitted by:   Ganael LAPLANCHE <ganael.laplanche at martymac.com>
  
  Revision  Changes    Path
  1.28      +1 -4      ports/multimedia/lxdvdrip/Makefile
  1.9       +2 -0      ports/multimedia/lxdvdrip/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 11 dfilter freebsd_committer 2010-09-02 22:37:00 UTC
makc        2010-09-02 21:36:45 UTC

  FreeBSD ports repository

  Modified files:
    multimedia/vlc       Makefile 
    multimedia/totem     Makefile 
    multimedia/mplayerxp Makefile 
    multimedia/mplayerxp/files patch-mplayerxp__configure 
  Log:
  Chase multimedia/libdvdnav update
  
  PR:             ports/131969
  Submitted by:   Ganael LAPLANCHE <ganael.laplanche at martymac.com>
  
  Revision  Changes    Path
  1.77      +1 -1      ports/multimedia/mplayerxp/Makefile
  1.2       +11 -2     ports/multimedia/mplayerxp/files/patch-mplayerxp__configure
  1.116     +1 -7      ports/multimedia/totem/Makefile
  1.241     +1 -0      ports/multimedia/vlc/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 12 Max Brazhnikov freebsd_committer 2010-09-02 22:39:12 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 13 dfilter freebsd_committer 2010-09-02 22:39:19 UTC
makc        2010-09-02 21:38:33 UTC

  FreeBSD ports repository

  Modified files:
    .                    MOVED 
    multimedia           Makefile 
  Removed files:
    multimedia/libdvdnav-mplayer Makefile distinfo pkg-descr 
                                 pkg-plist 
    multimedia/libdvdnav-mplayer/files patch-Makefile 
                                       patch-configure2 
  Log:
  Remove libdvdnav-mplayer in favour of multimedia/libdvdnav
  
  PR:             ports/131969
  Submitted by:   Ganael LAPLANCHE <ganael.laplanche at martymac.com>
  
  Revision  Changes    Path
  1.2236    +2 -1      ports/MOVED
  1.388     +0 -1      ports/multimedia/Makefile
  1.4       +0 -49     ports/multimedia/libdvdnav-mplayer/Makefile (dead)
  1.3       +0 -3      ports/multimedia/libdvdnav-mplayer/distinfo (dead)
  1.3       +0 -16     ports/multimedia/libdvdnav-mplayer/files/patch-Makefile (dead)
  1.2       +0 -35     ports/multimedia/libdvdnav-mplayer/files/patch-configure2 (dead)
  1.3       +0 -3      ports/multimedia/libdvdnav-mplayer/pkg-descr (dead)
  1.3       +0 -14     ports/multimedia/libdvdnav-mplayer/pkg-plist (dead)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"